package Pack;

import lejos.robotics.SampleProvider;
import lejos.robotics.filter.AbstractFilter;

public class Sensor extends AbstractFilter{

	float[] sample;
	
	public Sensor(SampleProvider source) {
		super(source);
		sample = new float[sampleSize];
	}

	public byte pressed(){
		super.fetchSample(sample, 0);
		
		byte val = -1; //It didn't detect any of the desired colors.
		
		switch((byte)sample[0]){
		
			case 0: //Color RED detected
				val = 0;
				break;
				
			case 1: //Color GREEN detected
				val = -1;
				break;
						
			case 2: //color BLUE (nothing)
				val = 2;
				break;
				
			case 3: //Color YELLOW detected
				val = 3;
				break;

			case 7: //Color BLACK detected (nothing)
				val = -1;
				break;

			default:
				break;
				
		}
		return val;
		
	}
	
}
